Page MenuHomePhabricator

The shuffle button appears if there are no questions or only a single question.
Closed, ResolvedPublic

Description

This bug was manually imported from https://www.mediawiki.org/wiki/Extension:Quiz.

"The shuffle feature allows to shuffle a quiz with a single question."

TODO:

Event Timeline

Mvolz created this task.Sep 22 2016, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 5:31 PM

Change 357781 had a related patch set uploaded (by Harjotsingh; owner: Harjotsingh):
[mediawiki/extensions/Quiz@master] Remove Shuffle feature if only one question is in quiz

https://gerrit.wikimedia.org/r/357781

Shuffle button is shown in a quiz with a single question, but it doesn't do anything.
Maybe it's better to hide the shuffle button for single question.

Mvolz added a comment.Jun 8 2017, 10:05 AM

Yes sounds good.

Mvolz renamed this task from The shuffle feature allows to shuffle a quiz with a single question. to The shuffle button appears if there are no questions or only a single question..Jun 22 2017, 1:42 PM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)

I've added questions to English and French Wikiversity page.

Change 357781 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Remove Shuffle feature if only one question is in quiz

https://gerrit.wikimedia.org/r/357781

Mvolz closed this task as Resolved.Jul 17 2017, 5:36 PM
Mvolz assigned this task to Harjotsingh.
Mvolz triaged this task as Normal priority.